Delete a Verification request signer
Roles
Analytics Events
/v2/presentations/certificates/verifier-signers/{verifierSignerId}Deletes a Verification request signer.
Only available in implementations using unmanaged (external) Verifier root CA certificates.
Analytic events
- CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_DELETE_START
- CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_DELETE_SUCCESS
- CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the Verification request signer.
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/presentations/certificates/verifier-signers/b0aae560-10e7-4247-8e96-7cdd3578a1e2"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update a Verification request signer PUT
Updates a Verification request signer by: - Providing a Verification Request Signer Certificate (VRSC) in PEM format that matches its Certificate Signing Request (CSR). - Activating or deactivating the VRSC signer. Only VRSC signers with a valid PEM certificate can be activated. - The `certificatePem` field becomes immutable after it's updated for the first time. Only available in implementations using unmanaged (external) Verifier root CA certificates. ### **Analytic events** * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_UPDATE_START * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_UPDATE_SUCCESS * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_UPDATE_FAIL
Create a trusted issuer POST
Add a new mDocs trusted issuer, to be used in online presentation workflows. ### **Analytic events** * MOBILE_CREDENTIAL_TRUSTED_ISSUER_CREATE_START * MOBILE_CREDENTIAL_TRUSTED_ISSUER_CREATE_SUCCESS * MOBILE_CREDENTIAL_TRUSTED_ISSUER_CREATE_FAIL